<!DOCTYPE PATCH  SYSTEM "http://vvvv.org/versions/vvvv50beta35.8.dtd" >
   <PATCH nodename="C:\Users\nsynk\Desktop\ws-node17-openvr\Switcher\Content\360-Video\Root.v4p" systemname="Root" filename="C:\vvvv\vvvv_50alpha35.7_x64\packs\VVVV.OpenVR\girlpower\Workshop_NODE17\Testing\Switcher\Content\SampleBoxes\Root.v4p" scrollx="0" scrolly="0">
   <NODE id="11" systemname="TrackedDevices (OpenVR)" filename="%VVVV%\packs\VVVV.OpenVR\nodes\plugins\VVVV.OpenVR.dll" nodename="TrackedDevices (OpenVR)" componentmode="Hidden" hiddenwhenlocked="0" managers="">
   <BOUNDS type="Node" left="495" top="1730" width="4515" height="270">
   </BOUNDS>
   <PIN pinname="Events" visible="1" pintype="Output">
   </PIN>
   <PIN pinname="System" visible="1" slicecount="1" pintype="Input" values="||">
   </PIN>
   <PIN pinname="Device Index" visible="1">
   </PIN>
   <PIN pinname="Touch Transform" visible="1">
   </PIN>
   <PIN pinname="Trigger Press" visible="1">
   </PIN>
   <PIN pinname="Touchpad Press" visible="1">
   </PIN>
   <PIN pinname="Trigger Touch" visible="1">
   </PIN>
   <PIN pinname="Trigger Axis" visible="1">
   </PIN>
   <PIN pinname="Touchpad AxisXY" visible="1">
   </PIN>
   <PIN pinname="Touchpad Touch" visible="1">
   </PIN>
   <PIN pinname="Controller" visible="1">
   </PIN>
   <PIN pinname="All Controllers" visible="1">
   </PIN>
   <PIN pinname="Left and Right Controller" visible="1" pintype="Output">
   </PIN>
   <PIN pinname="Device Role" visible="1" pintype="Output">
   </PIN>
   <PIN pinname="All Devices" visible="1" pintype="Output">
   </PIN>
   <BOUNDS type="Box" left="10" top="770" width="2400" height="1800">
   </BOUNDS>
   <BOUNDS type="Window" left="0" top="0" width="6000" height="4500">
   </BOUNDS>
   <PIN pinname="Descriptive Name" pintype="Configuration" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Window Handle" pintype="Output">
   </PIN>
   <PIN pinname="Event Device Index" pintype="Output" visible="1">
   </PIN>
   <PIN pinname="Left Controller" pintype="Output" visible="1">
   </PIN>
   <PIN pinname="Right Controller" pintype="Output" visible="1">
   </PIN>
   <PIN pinname="Error" pintype="Output" visible="1">
   </PIN>
   <PIN pinname="ID" pintype="Output" visible="-1">
   </PIN>
   </NODE>
   <NODE id="12" systemname="IOBox (Node)" componentmode="InABox" nodename="IOBox (Node)">
   <PIN pinname="Descriptive Name" slicecount="1" values="|Layer Out|">
   </PIN>
   <BOUNDS type="Box" left="1230" top="9565" width="750" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="1230" top="9565" width="750" height="240">
   </BOUNDS>
   <PIN pinname="Input Node" visible="1">
   </PIN>
   </NODE>
   <NODE id="15" systemname="IOBox (Node)" componentmode="InABox" nodename="IOBox (Node)">
   <PIN pinname="Descriptive Name" slicecount="1" values="System">
   </PIN>
   <BOUNDS type="Box" left="495" top="950" width="750" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="495" top="950" width="750" height="240">
   </BOUNDS>
   </NODE>
   <LINK srcnodeid="15" srcpinname="Output Node" dstnodeid="11" dstpinname="System">
   </LINK>
   <BOUNDS type="Window" left="6465" top="3630" width="15045" height="11760">
   </BOUNDS>
   <PACK Name="addonpack" Version="35.0.0">
   </PACK>
   <NODE systemname="Transform (Transform 3d Vector)" nodename="Transform (Transform 3d Vector)" componentmode="Hidden" id="20">
   <BOUNDS type="Node" left="10280" top="1995" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Transform Out" visible="1">
   </PIN>
   <PIN pinname="Translate XYZ" visible="1">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (Node)" componentmode="InABox" id="21" systemname="IOBox (Node)">
   <BOUNDS type="Box" left="10290" top="2635" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="10290" top="2635" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Descriptive Name" slicecount="1" values="|View Transform Out|">
   </PIN>
   </NODE>
   <LINK srcnodeid="20" srcpinname="Transform Out" dstnodeid="21" dstpinname="Input Node">
   </LINK>
   <NODE systemname="R (Node)" nodename="R (Node)" componentmode="Hidden" id="24">
   <BOUNDS type="Node" left="14850" top="945" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input Value" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="S (Node)" nodename="S (Node)" componentmode="Hidden" id="23">
   <BOUNDS type="Node" left="14850" top="2915" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Send String" slicecount="1" values="PostFX">
   </PIN>
   <PIN pinname="Input Value" visible="1" slicecount="1" values="||">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (Node)" componentmode="InABox" id="22" systemname="IOBox (Node)">
   <BOUNDS type="Box" left="14850" top="1935" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="14850" top="1935" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Output Node" visible="1">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|Place Post FX here|">
   </PIN>
   <PIN pinname="Input Node" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="22" srcpinname="Output Node" dstnodeid="23" dstpinname="Input Value">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="25" systemname="IOBox (String)">
   <BOUNDS type="Node" left="170" top="130" width="790" height="230">
   </BOUNDS>
   <BOUNDS type="Box" left="170" top="130" width="2460" height="550">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|360 Video|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   <PIN pinname="Size" slicecount="1" values="20">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="26" systemname="IOBox (String)">
   <BOUNDS type="Node" left="10110" top="555" width="3940" height="230">
   </BOUNDS>
   <BOUNDS type="Box" left="10110" top="555" width="3940" height="230">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|use that transform if you want to move the whole world|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="27" systemname="IOBox (Value Advanced)">
   <BOUNDS type="Box" left="10480" top="1045" width="800" height="720">
   </BOUNDS>
   <BOUNDS type="Node" left="10480" top="1045" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Y Input Value" slicecount="3" visible="1" values="0,0,0">
   </PIN>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Vector Size" slicecount="1" values="3">
   </PIN>
   <PIN pinname="Rows" slicecount="1" values="3">
   </PIN>
   </NODE>
   <LINK srcnodeid="27" srcpinname="Y Output Value" dstnodeid="20" dstpinname="Translate XYZ">
   </LINK>
   <LINK srcnodeid="24" srcpinname="Input Value" dstnodeid="22" dstpinname="Input Node">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="29" systemname="IOBox (String)">
   <BOUNDS type="Node" left="14780" top="575" width="2500" height="230">
   </BOUNDS>
   <BOUNDS type="Box" left="14780" top="575" width="2500" height="230">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|here you might place some PostFX|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   </NODE>
   <NODE systemname="Sphere (DX11.Geometry)" filename="%VVVV%\packs\dx11\nodes\plugins\base\VVVV.DX11.Nodes.dll" nodename="Sphere (DX11.Geometry)" componentmode="Hidden" id="49">
   <BOUNDS type="Node" left="1590" top="5730" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="1590" top="5730" width="3000" height="3000">
   </BOUNDS>
   <PIN pinname="Geometry Out" visible="1">
   </PIN>
   <PIN pinname="Radius" slicecount="1" values="5">
   </PIN>
   <PIN pinname="Resolution X" visible="1">
   </PIN>
   <PIN pinname="Resolution Y" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="Rasterizer (DX11.RenderState)" filename="%VVVV%\packs\dx11\nodes\plugins\base\VVVV.DX11.Nodes.dll" nodename="Rasterizer (DX11.RenderState)" componentmode="Hidden" id="48">
   <BOUNDS type="Node" left="345" top="5070" width="780" height="270">
   </BOUNDS>
   <BOUNDS type="Box" left="345" top="5070" width="3000" height="3000">
   </BOUNDS>
   <PIN pinname="Render State" visible="1" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Mode" slicecount="1" values="FrontCullSimple" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="FileTexture (DX11 2d)" filename="%VVVV%\packs\dx11\nodes\plugins\base\VVVV.DX11.Nodes.dll" nodename="FileTexture (DX11 2d)" componentmode="Hidden" id="46">
   <BOUNDS type="Node" left="3270" top="5040" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="3270" top="5040" width="3000" height="3000">
   </BOUNDS>
   <PIN pinname="Filename" slicecount="1" visible="1" values="..\..\..\..\..\..\..\vvvv\vvvv_50beta35.8_x64\lib\assets\images\earth_512x512.jpg">
   </PIN>
   <PIN pinname="Texture Out" visible="1">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="45" systemname="IOBox (String)">
   <BOUNDS type="Box" left="3285" top="4230" width="2565" height="495">
   </BOUNDS>
   <BOUNDS type="Node" left="3285" top="4230" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Input String" slicecount="2" visible="1" values="..\..\..\..\..\..\..\vvvv\vvvv_50beta35.8_x64\lib\assets\images\earth_512x512.jpg,|..\..\..\..\..\..\..\vvvv\vvvv_50beta35.8_x64\lib\assets\images\flower four.jpg|">
   </PIN>
   <PIN pinname="Default" slicecount="1" values="||">
   </PIN>
   <PIN pinname="File Mask" slicecount="1" values="|All Files (*.*)||*.*|">
   </PIN>
   <PIN pinname="Maximum Characters" slicecount="1" values="-1">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="Filename">
   </PIN>
   <PIN pinname="Rows" slicecount="1" values="2">
   </PIN>
   <PIN pinname="SliceCount Mode" slicecount="1" values="ColsRowsPages">
   </PIN>
   </NODE>
   <LINK srcnodeid="45" srcpinname="Output String" dstnodeid="46" dstpinname="Filename">
   </LINK>
   <NODE systemname="Constant (DX11.Effect)" filename="%VVVV%\packs\dx11\nodes\dx11\Constant.fx" nodename="Constant (DX11.Effect)" componentmode="Hidden" id="44">
   <BOUNDS type="Node" left="1260" top="6210" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Geometry" visible="1">
   </PIN>
   <PIN pinname="Layer" visible="1">
   </PIN>
   <PIN pinname="Render State" visible="1">
   </PIN>
   <PIN pinname="Texture Cube" visible="1">
   </PIN>
   <PIN pinname="Technique" slicecount="1" values="Constant">
   </PIN>
   <PIN pinname="Texture" visible="1">
   </PIN>
   <PIN pinname="Transform In" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="49" srcpinname="Geometry Out" dstnodeid="44" dstpinname="Geometry">
   </LINK>
   <LINK srcnodeid="48" srcpinname="Render State" dstnodeid="44" dstpinname="Render State">
   </LINK>
   <LINK srcnodeid="46" srcpinname="Texture Out" dstnodeid="44" dstpinname="Texture">
   </LINK>
   <NODE systemname="ViewportIndex (DX11.Validator)" filename="%VVVV%\packs\dx11\nodes\plugins\base\VVVV.DX11.Nodes.dll" nodename="ViewportIndex (DX11.Validator)" componentmode="Hidden" id="42">
   <BOUNDS type="Node" left="1545" top="7200" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="1545" top="7200" width="3000" height="3000">
   </BOUNDS>
   <PIN pinname="Layer In" visible="1">
   </PIN>
   <PIN pinname="Layer Out" visible="1">
   </PIN>
   <PIN pinname="Viewport Index" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   <PIN pinname="Viewport Count" slicecount="1" visible="1" values="2">
   </PIN>
   </NODE>
   <NODE systemname="Validator (DX11.Layer)" filename="%VVVV%\packs\dx11\nodes\plugins\base\VVVV.DX11.Nodes.dll" nodename="Validator (DX11.Layer)" componentmode="Hidden" id="41">
   <BOUNDS type="Node" left="1245" top="7725" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="1245" top="7725" width="3000" height="3000">
   </BOUNDS>
   <PIN pinname="Layer In" visible="1">
   </PIN>
   <PIN pinname="Validators" visible="1">
   </PIN>
   <PIN pinname="Layer Out" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="44" srcpinname="Layer" dstnodeid="41" dstpinname="Layer In">
   </LINK>
   <LINK srcnodeid="42" srcpinname="Output" dstnodeid="41" dstpinname="Validators">
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="40" systemname="IOBox (Value Advanced)">
   <BOUNDS type="Box" left="2010" top="6840" width="285" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="2010" top="6840" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Y Input Value" slicecount="1" visible="1" values="2">
   </PIN>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|Viewport Count|">
   </PIN>
   </NODE>
   <LINK srcnodeid="40" srcpinname="Y Output Value" dstnodeid="42" dstpinname="Viewport Count">
   </LINK>
   <LINK srcnodeid="41" srcpinname="Layer Out" dstnodeid="12" dstpinname="Input Node">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="50" systemname="IOBox (String)">
   <BOUNDS type="Node" left="5880" top="4260" width="2265" height="270">
   </BOUNDS>
   <BOUNDS type="Box" left="5880" top="4260" width="2265" height="270">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|&lt;-- 2 videos, each for one eye|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   </NODE>
   <NODE systemname="R (Node)" nodename="R (Node)" componentmode="Hidden" id="51">
   <BOUNDS type="Node" left="2475" top="2250" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Receive String" slicecount="1" values="VIEW">
   </PIN>
   <PIN pinname="Input Value" visible="1">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="52" systemname="IOBox (String)">
   <BOUNDS type="Node" left="3345" top="2265" width="1185" height="270">
   </BOUNDS>
   <BOUNDS type="Box" left="3345" top="2265" width="2685" height="255">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|from Renderers Camera Node|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   </NODE>
   <NODE systemname="ApplyTransform (Transform Vector)" nodename="ApplyTransform (Transform Vector)" componentmode="Hidden" id="53">
   <BOUNDS type="Node" left="1935" top="3180" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Transform" visible="1">
   </PIN>
   <PIN pinname="XYZ Transformed" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="Transform (Transform 3d Vector)" nodename="Transform (Transform 3d Vector)" componentmode="Hidden" id="54">
   <BOUNDS type="Node" left="1755" top="3660" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Translate XYZ" visible="1">
   </PIN>
   <PIN pinname="Transform Out" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="53" srcpinname="XYZ Transformed" dstnodeid="54" dstpinname="Translate XYZ">
   </LINK>
   <LINK srcnodeid="54" srcpinname="Transform Out" dstnodeid="44" dstpinname="Transform In">
   </LINK>
   <NODE systemname="Inverse (Transform)" nodename="Inverse (Transform)" componentmode="Hidden" id="55">
   <BOUNDS type="Node" left="1935" top="2730" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Source" visible="1">
   </PIN>
   <PIN pinname="Transform Out" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="51" srcpinname="Input Value" dstnodeid="55" dstpinname="Source">
   </LINK>
   <LINK srcnodeid="55" srcpinname="Transform Out" dstnodeid="53" dstpinname="Transform">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="56" systemname="IOBox (String)">
   <BOUNDS type="Node" left="2850" top="3540" width="2640" height="270">
   </BOUNDS>
   <BOUNDS type="Box" left="2850" top="3540" width="2640" height="270">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|&lt;- place video-sphere around head|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (Enumerations)" componentmode="InABox" id="57" systemname="IOBox (Enumerations)">
   <BOUNDS type="Box" left="1020" top="4695" width="1590" height="270">
   </BOUNDS>
   <BOUNDS type="Node" left="1020" top="4695" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Input Enum" slicecount="1" visible="1" values="FrontCullSimple">
   </PIN>
   <PIN pinname="Default" slicecount="1" values="BackCullSimple">
   </PIN>
   <PIN pinname="File Mask" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Maximum Characters" slicecount="1" values="-1">
   </PIN>
   </NODE>
   <LINK srcnodeid="57" srcpinname="Output Enum" dstnodeid="48" dstpinname="Mode">
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="58" systemname="IOBox (Value Advanced)">
   <BOUNDS type="Box" left="2145" top="5400" width="285" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="2145" top="5400" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Y Input Value" slicecount="1" visible="1" values="64">
   </PIN>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   <PIN pinname="Y Output Value" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="58" srcpinname="Y Output Value" dstnodeid="49" dstpinname="Resolution X">
   </LINK>
   <LINK srcnodeid="58" srcpinname="Y Output Value" dstnodeid="49" dstpinname="Resolution Y">
   </LINK>
   </PATCH>